## visad.aeri
Class LinearVectorPointMethod

    java.lang.Object
      visad.aeri.LinearVectorPointMethod

public class LinearVectorPointMethod
extends Object

Field Summary
`(package private) double[][]` `centroid_ll`
`(package private) JamaMatrix` `jm_A`
`(package private) double` `scale_1`
`(package private) double` `scale_2`
`(package private) double` `scale_3`

Constructor Summary
`LinearVectorPointMethod(double[][] lonlat_s)`

Method Summary
`double[][]` `getCentroid()`
`double[]` `getKinematics(double[][] uv_wind)`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jm_A

    JamaMatrix jm_A

### scale_1

    double scale_1

### scale_2

    double scale_2

### scale_3

    double scale_3

### centroid_ll

    double[][] centroid_ll

Constructor Detail

### LinearVectorPointMethod

    public LinearVectorPointMethod(double[][] lonlat_s)
                            throws VisADException

Method Detail

### getCentroid

    public double[][] getCentroid()

### getKinematics

    public double[] getKinematics(double[][] uv_wind)
                           throws VisADException

  Throws:
    `VisADException`

### main

    public static void main(String[] args)
                     throws VisADException

  Throws:
    `VisADException`